Subject: Re: bug#19874: 25.0.50; encode-time not working as expected

From: Paul Eggert <[email-masked]>
Date: Thu, 26 Feb 2015 09:58:37 -0800

On 02/26/2015 05:42 AM, Wolfgang Jenkner wrote:
>> Is 'configure' setting APPLE_UNIVERSAL_BUILD to 1, or to 0?  You can
>> >tell by looking for APPLE_UNIVERSAL_BUILD in lib/Makefile.
> What has this to do with FreeBSD?
>

If 'configure' mistakenly set APPLE_UNIVERSAL_BUILD to 1, it would cause 
'configure' to guess that mktime was buggy, and I was worried that this 
would have caused the problem.  However, this was a red herring, as 
you've established that FreeBSD localtime and/or mktime is indeed buggy 
in this area, so 'configure' appears to be doing the right thing in 
rejecting FreeBSD mktime.

It also appears to be the case that FreeBSD 10.1's implementation of 
putenv is buggy, and that this is what is breaking Emacs's time code (as 
Emacs uses putenv to modify the TZ environment variable), but we haven't 
gotten to the bottom of that yet.  I'll try to write a little test 
program to narrow it down.